package com.example.exam;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class DishesAdapter extends BaseAdapter {

    Context context;
    LayoutInflater layoutInflater;
    ArrayList<Dishes> objects;

    DishesAdapter(Context context, ArrayList<Dishes> objects)
    {
        this.context = context;
        this.objects = objects;
        layoutInflater = (LayoutInflater) this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    @Override
    public int getCount() {
        return objects.size();
    }

    @Override
    public Object getItem(int position) {
        return objects.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View view = convertView;

        if (view == null)
        {
            view = layoutInflater.inflate(R.layout.list_dishes_adapter, parent, false);
        }

        Dishes dish = getDish(position);

        ((TextView) view.findViewById(R.id.nameDish)).setText(dish.Name_Dish);
        ((TextView) view.findViewById(R.id.cookTime)).setText(dish.Cooking_Time_Dish);


        return view;
    }

    Dishes getDish(int position) { return (Dishes) getItem(position); }

}
