package com.example.exam;

import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;

public class ShowDishes extends AppCompatActivity {

    private ListView dishList;
    private final ArrayList<Dishes> dishes = new ArrayList<>();
    private DishesAdapter adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_show_dishes);

        dishList = findViewById(R.id.dishesList);
        adapter = new DishesAdapter(ShowDishes.this, dishes);
        dishList.setAdapter(adapter);

        new ShowDishes.GetDishes().execute();
    }

   private class GetDishes extends AsyncTask<Void, Void, String>
   {

       @Override
       protected String doInBackground(Void... voids) {

           try
           {
               URL url = new URL("https://ngknn.ru:5001/NGKNN/СергеичевАД/api/Dishes");
               HttpURLConnection connection = (HttpURLConnection) url.openConnection();
               BufferedReader buffer = new BufferedReader(new InputStreamReader(connection.getInputStream()));
               StringBuilder result = new StringBuilder();
               String line = "";

               while ((line = buffer.readLine()) != null)
               {
                   result.append(line);
               }
               return result.toString();
           }
           catch (Exception ex)
           {
               System.out.println(ex.getMessage());
               return null;
           }


       }

       @Override
       protected void onPostExecute(String s) {
           super.onPostExecute(s);

           try{
               JSONArray tempArray = new JSONArray(s);
               dishes.clear();
               for (int i = 0; i < tempArray.length(); i++)
               {
                   JSONObject json = tempArray.getJSONObject(i);
                   Dishes dish = new Dishes(
                           json.getInt("Code_Dish"),
                           json.getString("Name_Dish"),
                           json.getString("Description_Dish"),
                           json.getString("Cooking_Time_Dish"),
                           json.getString("Recipe_Dish"),
                           json.getInt("Portion_Dish")
                   );
                   dishes.add(dish);
                   adapter.notifyDataSetChanged();
               }
           }
           catch (Exception ex){

           }
       }
   }
}
